# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.HideRule

Packages that use HideRule
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of HideRule in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return HideRule
Modifier and Type
Method
Description
`static HideRule`
StructureFactory.`createHideRule()`
Creates an empty hide rule structure.

## Uses of HideRule in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type HideRule
Modifier and Type
Method
Description
`IHideRule`
SimpleElementFactory.`createHideRule(HideRule rule)`

## Uses of HideRule in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type HideRule
Modifier and Type
Method
Description
`IHideRule`
ISimpleElementFactory.`createHideRule(HideRule rule)`
Create `IHideRule` instance